﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DailyPlanner
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationPage.xaml
    /// </summary>
    public partial class AuthorizationPage : Page
    {
        public AuthorizationPage()
        {
            InitializeComponent();
        }
        //Метод для авторизации
        public bool Autorization(string login, string password)
        {
            if (login == string.Empty || password == string.Empty)
            {
                MessageBox.Show("Ключевые поля не заполнены");
                return false;
            }
            //Поиск пользователя в БД
            var SelectUser = DB.db.User.SingleOrDefault(item => item.Login == login && item.Password == password);
            if (SelectUser != null)
            {
                ManagerFrame.PanelFrame.Visibility = Visibility.Visible;
                ManagerFrame.PanelFrame.Navigate(new PanelPage(SelectUser.UserID));
                ManagerFrame.MainFrame.Navigate(new ShowTaskPage(SelectUser.UserID));
                MessageBox.Show("Здравствуйте " + SelectUser.RealName);
                return true;
            }
            else
            {
                MessageBox.Show("Введены не корректные данные");
                return false;
            }
        }

        private void Enter_Click(object sender, RoutedEventArgs e)
        {
            Autorization(TxtLogin.Text, PxbPassword.Password);
        }
        //Переход к регистрации
        private void Registration_Click(object sender, RoutedEventArgs e)
        {
            ManagerFrame.MainFrame.Navigate(new RegistrationPage());
            ManagerFrame.PanelFrame.Navigate(new RegistrationPanelPage());
            ManagerFrame.PanelFrame.Visibility = Visibility.Visible;
        }
    }
}
