﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace DailyPlanner
{
    //Частичный класс для задач
    partial class Task
    {
        //Все подзадачи одной задачи
       public List<Task> SubTask
       {
            get
            {
                return DB.db.Task.Where(item => item.IDMainTask == TaskID).ToList();
            }
       }
        //Все задачи пользователя на день
        public string AllTaskForDay
        {
            get
            {
                string AllTask = "";
                List<Task> AllTaskList = DB.db.Task.Where(item => item.DateOfTask == DateOfTask && item.IDUser == IDUser).ToList();
                if (AllTaskList.Count != 0)
                {
                    foreach (Task task in AllTaskList)
                    {
                        AllTask += task.NameTask;
                        if (task.TimeOfTask != null)
                        {
                            AllTask += ": " + task.TimeOfTask.ToString();
                        }
                        AllTask += "\n";
                    }
                    AllTask = AllTask.Substring(0, AllTask.Length - 1);
                }
                return AllTask;
            }
        }
        //Отображение задач в календаре
        public Visibility VisibilityTaskList
        {
            get
            {
                List<Task> AllTaskList = DB.db.Task.Where(item => item.DateOfTask == DateOfTask && item.IDUser == IDUser).ToList();
                if (AllTaskList.Count != 0)
                {
                    return Visibility.Visible;
                }
                else
                {
                    return Visibility.Collapsed;
                }

            }
        }
    }
}
